[BETA] List contacts
curl --request GET \
--url https://api.getpg.ai/public-api/v1/contacts \
--header 'x-api-key: <api-key>'import requests
url = "https://api.getpg.ai/public-api/v1/contacts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.getpg.ai/public-api/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"current_job_title": "<string>",
"linkedin_url": "<string>",
"location": "<string>",
"country": "<string>",
"country_code": "<string>",
"summary": "<string>",
"image_url": "<string>",
"headline": "<string>",
"emails": [
"<string>"
],
"phones": [
"<string>"
],
"skills": [
"<string>"
],
"company": {
"name": "<string>",
"linkedin_id": "<string>"
},
"experience": [
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company": "<string>",
"company_linkedin_id": "<string>",
"title": "<string>",
"location": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"is_current": true,
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"education": [
{
"degree": "<string>",
"field_of_study": "<string>",
"school": "<string>",
"start_year": 123,
"end_year": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123
}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}contacts
[BETA] List contacts
Retrieve a list of contacts with pagination.
GET
/
contacts
[BETA] List contacts
Authorizations
Your API key for authentication. Get your API key from the PG:AI dashboard under Settings > API Keys.
Query Parameters
Page number
Page size. Default 25, maximum 50 on all list endpoints. Omit to use the default; increase up to 50 only if you need larger pages.
⌘I
